# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-28 09:23
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations


def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    db_alias = schema_editor.connection.alias

    Site = apps.get_model("sites", "Site")
    site, created = \
        Site.objects.using(db_alias).get_or_create(pk=settings.SITE_ID)

    ContactFormSettings = apps.get_model("emencia_contact_form", "ContactFormSettings")
    ContactFormSettings.objects.using(db_alias).get_or_create(site__pk=site.pk)


def reverse_func(apps, schema_editor):
    # forwards_func() creates one ContactFormSettings instance,
    # so reverse_func() deletes it.
    Site = apps.get_model("sites", "Site")
    site = Site.objects.get(pk=settings.SITE_ID)

    ContactFormSettings = apps.get_model("emencia_contact_form", "ContactFormSettings")
    db_alias = schema_editor.connection.alias
    ContactFormSettings.objects.using(db_alias).get(site=site).delete()


class Migration(migrations.Migration):

    dependencies = [
        ('emencia_contact_form', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
